TapeDescriptorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class TapeDescriptorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.EssenceDescriptorImpl
    - - tv.amwa.maj.model.impl.TapeDescriptorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, MediaEntity, MetadataObject, EssenceDescriptor, InterchangeObject, TapeDescriptor

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=11776,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="TapeDescriptor",
                  description="The TapeDescriptor class describes audio tape or video tape media.",
                  symbol="TapeDescriptor")
      public class TapeDescriptorImpl
      extends EssenceDescriptorImpl
      implements TapeDescriptor, TapeDescriptor, Serializable, Cloneable

  Implements the description of audio tape or video tape media. A source package described by a tape descriptor is known as a tape source package.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TapeDescriptorImpl()` Creates and initializes a new tape descriptor, which describes audio tape or video tape media.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TapeDescriptor` | `clone()` Create a cloned copy of this interchange object.
    `int` | `getColorFrame()`
    `VideoSignalType` | `getSignalType()` Returns the video signal standard recorded on the described tape.
    `String` | `getTapeBatchNumber()` Returns the tape batch number for the described tape.
    `int` | `getTapeCapacity()` Returns the capacity of the described tape, measured in minutes.
    `TapeFormatType` | `getTapeFormat()` Returns the recording method used for the described tape, known as its format.
    `TapeCaseType` | `getTapeFormFactor()` Returns the tape form factor (case size) of the described tape.
    `String` | `getTapeFormuulation()` Returns the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape.
    `String` | `getTapeManufacturer()` Returns the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape.
    `String` | `getTapeStock()` Returns the string identifying the tape stock for the described tape.
    `void` | `setColorFrame(Integer colorFrame)`
    `void` | `setSignalType(VideoSignalType videoSignal)` Sets the video signal standard recorded on the described tape.
    `void` | `setTapeBatchNumber(String tapeBatchNumber)` Sets the tape batch number for the described tape.
    `void` | `setTapeCapacity(Integer tapeCapacity)` Sets the capacity of the described tape, measured in minutes.
    `void` | `setTapeFormat(TapeFormatType tapeFormat)` Sets the recording method used for the described tape.
    `void` | `setTapeFormFactor(TapeCaseType tapeFormFactor)` Sets the tape form factor (case size) of the described tape.
    `void` | `setTapeFormulation(String tapeFormulation)` Sets the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape.
    `void` | `setTapeManufacturer(String tapeManufacturer)` Sets the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape.
    `void` | `setTapeStock(String tapeStock)` Sets the string identifying the tape stock for the described tape.

    - ### Methods inherited from class tv.amwa.maj.model.impl.EssenceDescriptorImpl

      `appendLocator, appendSubDescriptor, clearLocators, clearSubDescriptors, countLocators, countSubDescriptors, getComment, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### TapeDescriptorImpl

          public TapeDescriptorImpl()

      Creates and initializes a new tape descriptor, which describes audio tape or video tape media.

  - ### Method Detail

    - #### getSignalType

          @MediaProperty(uuid1=67175425,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="VideoSignal",
                         typeName="VideoSignalType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14850,
                         symbol="VideoSignal")
          public VideoSignalType getSignalType()
                                                                                                                                                                                                                                                                                                                                                                                             throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the video signal standard recorded on the described tape. This is an optional property.

      Typical values includes:

      - `VideoSignalType.NTSCSignal`
      - `VideoSignalType.PALSignal`
      - `VideoSignalType.SECAMSignal`
      Specified by:
        `getSignalType` in interface `TapeDescriptor`
      Returns:
        Signal standard recorded on the described tape.
      Throws:
        `PropertyNotPresentException` - The optional video signal type property is not present in this tape descriptor.

    - #### setSignalType

          @MediaPropertySetter(value="VideoSignal")
          public void setSignalType(VideoSignalType videoSignal)

      Description copied from interface: `TapeDescriptor`

      Sets the video signal standard recorded on the described tape. Set this optional property to `null` to omit it.

      Typical values includes:

      - `VideoSignalType.NTSCSignal`
      - `VideoSignalType.PALSignal`
      - `VideoSignalType.SECAMSignal`
      Specified by:
        `setSignalType` in interface `TapeDescriptor`
      Parameters:
        `videoSignal` - Signal standard recorded on the described tape.

    - #### getTapeFormFactor

          @MediaProperty(uuid1=68157697,
                         uuid2=257,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeFormFactor",
                         aliases="FormFactor",
                         typeName="TapeCaseType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14849,
                         symbol="TapeFormFactor")
          public TapeCaseType getTapeFormFactor()
                                                                                                                                                                                                                                                                                                                                                                                                                                      throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the tape form factor (case size) of the described tape. This is an optional property.

      Typical values include:

      - `TapeCaseType.VHSVideoTape`
      - `TapeCaseType.DATCartridge`
      - `TapeCaseType.ThreeFourthInchVideoTape`
      Specified by:
        `getTapeFormFactor` in interface `TapeDescriptor`
      Returns:
        Tape form factor of the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape form factor property is not present in this tape descriptor.

    - #### setTapeFormFactor

          @MediaPropertySetter(value="TapeFormFactor")
          public void setTapeFormFactor(TapeCaseType tapeFormFactor)

      Description copied from interface: `TapeDescriptor`

      Sets the tape form factor (case size) of the described tape. Set this optional property to `null` to omit it.

      Typical values include:

      - `TapeCaseType.VHSVideoTape`
      - `TapeCaseType.DATCartridge`
      - `TapeCaseType.ThreeFourthInchVideoTape`
      Specified by:
        `setTapeFormFactor` in interface `TapeDescriptor`
      Parameters:
        `tapeFormFactor` - Tape form factor (case size) of the described tape.

    - #### getTapeFormat

          @MediaProperty(uuid1=218169601,
                         uuid2=257,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeFormat",
                         typeName="TapeFormatType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14851,
                         symbol="TapeFormat")
          public TapeFormatType getTapeFormat()
                                                                                                                                                                                                                                                                                                                                                                                            throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the recording method used for the described tape, known as its format. This is an optional property.

      Typical values include:

      - `TapeFormatType.BetacamSPFormat`
      - `TapeFormatType.SVHSFormat`
      - `TapeFormatType._8mmFormat`
      Specified by:
        `getTapeFormat` in interface `TapeDescriptor`
      Returns:
        Recording method used for the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape format property is not present in this tape descriptor.

    - #### setTapeFormat

          @MediaPropertySetter(value="TapeFormat")
          public void setTapeFormat(TapeFormatType tapeFormat)

      Description copied from interface: `TapeDescriptor`

      Sets the recording method used for the described tape. Set this optional property to `null` to omit it.

      Typical values include:

      - `TapeFormatType.BetacamSPFormat`
      - `TapeFormatType.SVHSFormat`
      - `TapeFormatType._8mmFormat`
      Specified by:
        `setTapeFormat` in interface `TapeDescriptor`
      Parameters:
        `tapeFormat` - Recording method used for the described tape.

    - #### getTapeCapacity

          @MediaProperty(uuid1=68157697,
                         uuid2=768,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeCapacity",
                         aliases={"Length","TapeDescriptorLength"},
                         typeName="UInt32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14852,
                         symbol="TapeCapacity")
          public int getTapeCapacity()
                                                                                                                                                                                                                                                                                                                                                                                                                                      throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the capacity of the described tape, measured in minutes. This is an optional property.

      Specified by:
        `getTapeCapacity` in interface `TapeDescriptor`
      Returns:
        Capacity of the described tape in minutes.
      Throws:
        `PropertyNotPresentException` - The optional tape length property is not present in this tape descriptor.

    - #### setTapeCapacity

          @MediaPropertySetter(value="TapeCapacity")
          public void setTapeCapacity(Integer tapeCapacity)
                                                                          throws IllegalArgumentException

      Description copied from interface: `TapeDescriptor`

      Sets the capacity of the described tape, measured in minutes. Set this optional property to `null` to omit it.

      Specified by:
        `setTapeCapacity` in interface `TapeDescriptor`
      Parameters:
        `tapeCapacity` - Capacity of the described tape measured in minutes.
      Throws:
        `IllegalArgumentException` - The given tape length is negative.

    - #### getTapeManufacturer

          @MediaProperty(uuid1=68157697,
                         uuid2=1025,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeManufacturer",
                         aliases={"ManufcaturerID","TapeDescriptorManufacturerID"},
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14853,
                         symbol="TapeManufacturer")
          public String getTapeManufacturer()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape. This is an optional property.

      Specified by:
        `getTapeManufacturer` in interface `TapeDescriptor`
      Returns:
        Tape manufacturer property of the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape manufacturer property is not present in this tape descriptor.

    - #### setTapeManufacturer

          @MediaPropertySetter(value="TapeManufacturer")
          public void setTapeManufacturer(String tapeManufacturer)

      Description copied from interface: `TapeDescriptor`

      Sets the tape manufacturer property of the described tape, which provides a text string to display to end users that identifies the manufacturer of the tape. Set this optional property to `null` to omit it.

      Specified by:
        `setTapeManufacturer` in interface `TapeDescriptor`
      Parameters:
        `tapeManufacturer` - Tape manufacturer property of the described tape.

    - #### getTapeFormuulation

          @MediaProperty(uuid1=68157697,
                         uuid2=513,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeFormulation",
                         aliases={"Model","TapeDescriptorModel"},
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14854,
                         symbol="TapeFormulation")
          public String getTapeFormuulation()
                                                                                                                                                                                                                                                                                                                                                                                                                                                      throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape. This is an optional property.

      Specified by:
        `getTapeFormuulation` in interface `TapeDescriptor`
      Returns:
        Tape model of the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape model property is not present in this tape descriptor.

    - #### setTapeFormulation

          @MediaPropertySetter(value="TapeFormulation")
          public void setTapeFormulation(String tapeFormulation)

      Description copied from interface: `TapeDescriptor`

      Sets the tape formulation (model) property of the described tape, which provides a text string to display to end users that identifies the manufacturer's brand designation of the tape. Set this optional property to `null` to omit it.

      Specified by:
        `setTapeFormulation` in interface `TapeDescriptor`
      Parameters:
        `tapeFormulation` - Tape model of the described tape.

    - #### getTapeBatchNumber

          @MediaProperty(uuid1=68157697,
                         uuid2=1537,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeBatchNumber",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14855,
                         symbol="TapeBatchNumber")
          public String getTapeBatchNumber()
                                                                                                                                                                                                                                                                                                                                                                                              throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the tape batch number for the described tape. This is an optional property.

      Specified by:
        `getTapeBatchNumber` in interface `TapeDescriptor`
      Returns:
        Tape batch number for the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape batch number is not present in this tape descriptor.

    - #### setTapeBatchNumber

          @MediaPropertySetter(value="TapeBatchNumber")
          public void setTapeBatchNumber(String tapeBatchNumber)

      Description copied from interface: `TapeDescriptor`

      Sets the tape batch number for the described tape.

      Specified by:
        `setTapeBatchNumber` in interface `TapeDescriptor`
      Parameters:
        `tapeBatchNumber` - Tape batch number for the described tape.

    - #### getTapeStock

          @MediaProperty(uuid1=68157697,
                         uuid2=1281,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TapeStock",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=14856,
                         symbol="TapeStock")
          public String getTapeStock()
                                                                                                                                                                                                                                                                                                                                                                            throws PropertyNotPresentException

      Description copied from interface: `TapeDescriptor`

      Returns the string identifying the tape stock for the described tape. This is an optional property.

      Specified by:
        `getTapeStock` in interface `TapeDescriptor`
      Returns:
        String identifying the tape stock for the described tape.
      Throws:
        `PropertyNotPresentException` - The optional tape stock property is not present for this tape descriptor.

    - #### setTapeStock

          @MediaPropertySetter(value="TapeStock")
          public void setTapeStock(String tapeStock)

      Description copied from interface: `TapeDescriptor`

      Sets the string identifying the tape stock for the described tape. Set this optional property to `null` to omit it.

      Specified by:
        `setTapeStock` in interface `TapeDescriptor`
      Parameters:
        `tapeStock` - String identifying the tape stock for the described tape.

    - #### clone

          public TapeDescriptor clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `TapeDescriptor`
      Overrides:
        `clone` in class `EssenceDescriptorImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getColorFrame

          @MediaProperty(uuid1=-1790398406,
                         uuid2=5627,
                         uuid3=4564,
                         uuid4={-96,-113,0,96,-108,-21,117,-53},
                         definedName="ColorFrame",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="ColorFrame",
                         namespace="http://www.amwa.tv/is03/extensions/avid",
                         prefix="avid")
           @Int32
          public int getColorFrame()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setColorFrame

          @MediaPropertySetter(value="ColorFrame")
          public void setColorFrame(@Int32
                                                                             Integer colorFrame)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.